package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_GlobSpec_collectGlobs extends GlobVisitor {
  protected GlobSet globset;
  public GlobSet get_globset() { return globset; }
  public void set_globset(GlobSet new_globset) { globset = new_globset; }
  public __V_GlobSpec_collectGlobs() { super(); }
  public __V_GlobSpec_collectGlobs(GlobSet globset) {
    super();
    set_globset(globset);
  }
  public void before(Glob host) { globset.addElement(host); }
  GlobSet get_return_val() { return globset ; }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {
    super.universal_trv0_bef(_v_);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    super.universal_trv0_aft(_v_);
  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    globset.universal_trv0(_v_);
    super.universal_trv0(_v_);
    universal_trv0_aft(_v_);
  }

}
